### Method

# Ide FileSettings get_settled

#### Declaration

    gboolean
    ide_file_settings_get_settled (
      IdeFileSettings* self
    )

#### Description

Gets the `IdeFileSettings:settled` property.

This property is `TRUE` when all of the children file settings have completed loading.

Some file setting implementations require that various I/O be performed on disk in the background. This property will change to `TRUE` when all of the settings have been loaded.

Normally, this is not a problem, since the editor will respond to changes and update them accordingly. However, if you are writing a tool that prints the file settings (such as ide-list-file-settings), you probably want to wait until the values have settled.

Available since: | 3.32

Gets property | `Ide.FileSettings:settled`

#### Return value

Returns: | `gboolean`
| `TRUE` if all the settings have loaded.